<?php
/**
 * @version     1.2.4
 * @package     Virtuemart.Plugin
 * @subpackage  Vmpayment.bifit
 *
 * @copyright   Copyright (C) 2021 BIFIT. All rights reserved.
 * @license     GNU General Public License version 2 or later
 */

defined('_JEXEC') or die();

class JFormFieldPayments extends JFormField
{
	protected $type = 'payments';

	public function getInput()
	{
		require_once JPATH_ROOT .
			'/administrator/components/com_virtuemart/helpers/config.php';

		VmConfig::loadConfig();
		VmConfig::loadJLang('com_virtuemart', true);

		$model = VmModel::getModel('paymentmethod');
		$paymethods = $model->getPayments();
		$name = $this->name . '[]';
		$value = empty($this->value) ? '' : $this->value;

		return JHTML::_(
			'select.genericlist',
			$paymethods,
			$name,
			'class="inputbox" id="paymethods" multiple="multiple"',
			'virtuemart_paymentmethod_id',
			'payment_name',
			$value
		);
	}
}
